---
title: tooling::RouterEvent

---

# tooling::RouterEvent





Inherited by [tooling::ConnectionAttemptEvent](Classes/structtooling_1_1ConnectionAttemptEvent.md), [tooling::FindRouterEvent](Classes/structtooling_1_1FindRouterEvent.md), [tooling::GotIntroReceivedEvent](Classes/structtooling_1_1GotIntroReceivedEvent.md), [tooling::LinkSessionEstablishedEvent](Classes/structtooling_1_1LinkSessionEstablishedEvent.md), [tooling::PathAttemptEvent](Classes/structtooling_1_1PathAttemptEvent.md), [tooling::PathBuildRejectedEvent](Classes/structtooling_1_1PathBuildRejectedEvent.md), [tooling::PathRequestReceivedEvent](Classes/structtooling_1_1PathRequestReceivedEvent.md), [tooling::PathStatusReceivedEvent](Classes/structtooling_1_1PathStatusReceivedEvent.md), [tooling::PubIntroReceivedEvent](Classes/structtooling_1_1PubIntroReceivedEvent.md), [tooling::PubIntroSentEvent](Classes/structtooling_1_1PubIntroSentEvent.md), [tooling::RCGossipReceivedEvent](Classes/structtooling_1_1RCGossipReceivedEvent.md), [tooling::RCGossipSentEvent](Classes/structtooling_1_1RCGossipSentEvent.md)

## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[RouterEvent](Classes/structtooling_1_1RouterEvent.md#function-routerevent)**(std::string eventType, [llarp::RouterID](Classes/structllarp_1_1RouterID.md) routerID, bool triggered) |
| virtual | **[~RouterEvent](Classes/structtooling_1_1RouterEvent.md#function-~routerevent)**() =default |
| virtual std::string | **[ToString](Classes/structtooling_1_1RouterEvent.md#function-tostring)**() const |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| const std::string | **[eventType](Classes/structtooling_1_1RouterEvent.md#variable-eventtype)**  |
| [llarp::RouterID](Classes/structllarp_1_1RouterID.md) | **[routerID](Classes/structtooling_1_1RouterEvent.md#variable-routerid)**  |
| bool | **[triggered](Classes/structtooling_1_1RouterEvent.md#variable-triggered)**  |

## Public Functions Documentation

### function RouterEvent

```cpp
inline RouterEvent(
    std::string eventType,
    llarp::RouterID routerID,
    bool triggered
)
```


### function ~RouterEvent

```cpp
virtual ~RouterEvent() =default
```


### function ToString

```cpp
inline virtual std::string ToString() const
```


**Reimplemented by**: [tooling::PubIntroSentEvent::ToString](Classes/structtooling_1_1PubIntroSentEvent.md#function-tostring), [tooling::PathAttemptEvent::ToString](Classes/structtooling_1_1PathAttemptEvent.md#function-tostring), [tooling::PathRequestReceivedEvent::ToString](Classes/structtooling_1_1PathRequestReceivedEvent.md#function-tostring), [tooling::PathStatusReceivedEvent::ToString](Classes/structtooling_1_1PathStatusReceivedEvent.md#function-tostring), [tooling::PathBuildRejectedEvent::ToString](Classes/structtooling_1_1PathBuildRejectedEvent.md#function-tostring), [tooling::LinkSessionEstablishedEvent::ToString](Classes/structtooling_1_1LinkSessionEstablishedEvent.md#function-tostring), [tooling::ConnectionAttemptEvent::ToString](Classes/structtooling_1_1ConnectionAttemptEvent.md#function-tostring), [tooling::PubIntroReceivedEvent::ToString](Classes/structtooling_1_1PubIntroReceivedEvent.md#function-tostring), [tooling::GotIntroReceivedEvent::ToString](Classes/structtooling_1_1GotIntroReceivedEvent.md#function-tostring), [tooling::FindRouterEvent::ToString](Classes/structtooling_1_1FindRouterEvent.md#function-tostring), [tooling::RCGossipReceivedEvent::ToString](Classes/structtooling_1_1RCGossipReceivedEvent.md#function-tostring), [tooling::RCGossipSentEvent::ToString](Classes/structtooling_1_1RCGossipSentEvent.md#function-tostring)


## Public Attributes Documentation

### variable eventType

```cpp
const std::string eventType;
```


### variable routerID

```cpp
llarp::RouterID routerID;
```


### variable triggered

```cpp
bool triggered = false;
```


-------------------------------

Updated on 2023-01-09 at 18:23:48 +0000